Bug 829840 - kernel BUG at fs/fscache/cookie.c:433!
kernel BUG at fs/fscache/cookie.c:433!
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: David Howells
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 12:11 EDT by Steve Dickson
Modified: 2017-06-01 04:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2012-06-07 12:11:04 EDT
Description of problem:
kernel BUG at fs/fscache/cookie.c:433!
invalid opcode: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:01.0/0000:15:00.1/host1/rport-1:0-0/target1:0:0/1:0:0:1/state
CPU 3 
Modules linked in: nfs(-)(U) lockd fscache nfs_acl autofs4 rpcsec_gss_krb5 auth_rpcgss sunrpc p4_clockmod freq_table speedstep_lib ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables ipv6 ext3 jbd uinput ipmi_si ipmi_msghandler hpwdt hpilo tg3 microcode serio_raw iTCO_wdt iTCO_vendor_support shpchp sg i3200_edac edac_core ext4 mbcache jbd2 dm_round_robin sr_mod cdrom sd_mod crc_t10dif pata_acpi ata_generic ata_piix qla2xxx scsi_transport_fc scsi_tgt radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core dm_multipath dm_mirror dm_region_hash dm_log dm_mod [last unloaded: nfs_layout_nfsv41_files]

Pid: 26655, comm: rmmod Not tainted 2.6.32-278.el6.pnfsgetdevicelist.x86_64 #1 HP ProLiant DL320 G5p
RIP: 0010:[<ffffffffa0525d9a>]  [<ffffffffa0525d9a>] __fscache_relinquish_cookie+0x1da/0x260 [fscache]
RSP: 0018:ffff880122d07e58  EFLAGS: 00010296
RAX: 0000000000000038 RBX: ffff880122636108 RCX: 0000000000004a69
RDX: 0000000000000000 RSI: 0000000000000046 RDI: 0000000000000246
RBP: ffff880122d07e98 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000002000 R12: 0000000000000000
R13: ffff880122d07f18 R14: 0000000000000000 R15: 0000000000000001
FS:  00007f0fcbff6700(0000) GS:ffff8800282c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000031032777f0 CR3: 000000011df4b000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process rmmod (pid: 26655, threadinfo ffff880122d06000, task ffff88011eab4040)
Stack:
 ffff880120b855c0 0000000000000001 ffff880122d07e88 ffffffffa062d8e0
<d> ffffffffa062d920 ffff880122d07f18 0000000000000000 0000000000000001
<d> ffff880122d07eb8 ffffffffa05262a6 0000000000000880 0000000000000880
Call Trace:
 [<ffffffffa05262a6>] __fscache_unregister_netfs+0x36/0x60 [fscache]
 [<ffffffffa061bd95>] nfs_fscache_unregister+0x15/0x20 [nfs]
 [<ffffffffa061c3fe>] exit_nfs_fs+0x2e/0x71 [nfs]
 [<ffffffff810addd4>] sys_delete_module+0x194/0x260


Version-Release number of selected component (if applicable):
2.6.32-278.el6

How reproducible:
always

Steps to Reproduce:
1. # rmmod nfs_layout_nfsv41_files
2. # rmmod nfs
Comment 2 RHEL Product and Program Management 2012-12-14 03:42:10 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.